// import * as userServices from '@12333/services/api/User';
import { useQuery, useQueryClient } from '@tanstack/vue-query';
import { getUserCertificationFrontStatusAdapter } from '@12333/utils';
import { UserCertificationFrontStatus } from '@12333/constants';
import { useUser } from './user';

type UseMyCertificationAuditInfoOptions = {
  onSuccess?: (data: API.MyCertificationAuditDto) => void;
};

// export function useMyCertificationAuditInfo(options: UseMyCertificationAuditInfoOptions = {}) {
//   const { onSuccess } = options;

//   const { updateUserInfo } = useUser();

//   const queryClient = useQueryClient();

//   const { data, isLoading } = useQuery({
//     queryKey: ['userServices/getMyCertificationAuditInfo'],
//     queryFn: async () => {
//       return await userServices.getMyCertificationAuditInfo({ showLoading: false });
//     },
//     placeholderData: () => null as API.MyCertificationAuditDto,
//     select(data) {
//       if (data) {
//         data.frontStatus = getUserCertificationFrontStatusAdapter(data.status, data.auditStatus);
//       }
//       return data;
//     },
//     onSuccess(data) {
//       onSuccess?.(data);
//     },
//   });

//   /**
//    * 是否有审核单
//    */
//   const hasAduit = computed(() => {
//     return data && !!data.value?.currentUserCertificationAuditId;
//   });

//   const isCertified = computed(
//     () => data?.value?.frontStatus === UserCertificationFrontStatus.Certified
//   );
//   const isExpired = computed(
//     () => data?.value?.frontStatus === UserCertificationFrontStatus.Expired
//   );

//   function invalidateCertificationAuditInfo() {
//     updateUserInfo();
//     return queryClient.invalidateQueries({
//       queryKey: ['userServices/getMyCertificationAuditInfo'],
//     });
//   }

//   function ensureCertificationAuditInfo() {
//     return queryClient.ensureQueryData({
//       queryKey: ['userServices/getMyCertificationAuditInfo'],
//     });
//   }

//   return {
//     myCertificationAuditInfo: data,
//     isLoading,
//     hasAduit,
//     invalidateCertificationAuditInfo,
//     isCertified,
//     isExpired,
//     ensureCertificationAuditInfo,
//   };
// }
